JsonCpp project page | Classes | Namespace | JsonCpp home page

version.h File Reference

Go to the source code of this file.

## Macros

#define | JSONCPP_VERSION_STRING "1.9.8"
#define | JSONCPP_VERSION_MAJOR 1
#define | JSONCPP_VERSION_MINOR 9
#define | JSONCPP_VERSION_PATCH 8
#define | JSONCPP_VERSION_HEXA
#define | JSONCPP_USE_SECURE_MEMORY 0

## Macro Definition Documentation

## JSONCPP_USE_SECURE_MEMORY

#define JSONCPP_USE_SECURE_MEMORY 0

Definition at line 22 of file version.h.

## JSONCPP_VERSION_HEXA

#define JSONCPP_VERSION_HEXA

Value:
((JSONCPP_VERSION_MAJOR << 24) | (JSONCPP_VERSION_MINOR << 16) | \
(JSONCPP_VERSION_PATCH << 8))
JSONCPP_VERSION_MAJOR
#define JSONCPP_VERSION_MAJOR
Definition version.h:14
JSONCPP_VERSION_MINOR
#define JSONCPP_VERSION_MINOR
Definition version.h:15
JSONCPP_VERSION_PATCH
#define JSONCPP_VERSION_PATCH
Definition version.h:16

Definition at line 17 of file version.h.

## JSONCPP_VERSION_MAJOR

#define JSONCPP_VERSION_MAJOR 1

Definition at line 14 of file version.h.

## JSONCPP_VERSION_MINOR

#define JSONCPP_VERSION_MINOR 9

Definition at line 15 of file version.h.

## JSONCPP_VERSION_PATCH

#define JSONCPP_VERSION_PATCH 8

Definition at line 16 of file version.h.

## JSONCPP_VERSION_STRING

#define JSONCPP_VERSION_STRING "1.9.8"

Definition at line 13 of file version.h.

Referenced by Json::version().